﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

/*@media screen and (min-width: 320px) and (max-width: 767px) and (orientation: landscape) {
    html {
        transform: rotate(-90deg);
        transform-origin: left top;
        width: 100vh;
        overflow-x: hidden;
        position: absolute;
        top: 100%;
        left: 0;
    }
}*/

html, body {
    /*font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;*/
    --ion-background-color: white;
    font-family: 'Barlow', sans-serif !important;
    /*'Open Sans', sans-serif !important;*/
    --ion-color-tertiary: red;
    --ion-color-primary: orange;
    --ion-color-secondary: black;
}

:root {
    /* Set the background of the entire app */
    --ion-background-color: #ff3700;
    /* Set the font family of the entire app */
    /*--ion-font-family: 'Open Sans', "Helvetica Neue", "Roboto", sans-serif;*/
    --ion-font-family: 'Barlow', sans-serif !important;
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/*.fullScroll {
    height: 100vh;
    overflow-y: auto;
}*/

.itemAvatar {
    background: #3c5973;
    padding-top: 6px;
    padding-left: 5px;
    color: white;
    font-weight: bolder;
    font-size: 16px;
}

.detailCard {
    height: calc(100% - 220px) !important;
    overflow: scroll;
}

.header1 {
    font-size: 28px !important;
    font-weight: 700 !important;
}

.mainBack {
    background-color: #eaf5ff;
}

.shadow {
    --tw-shadow: 0 1px 3px 0 #0000001a,0 1px 2px 0 #0000000f !important;
    box-shadow: 0 1px 3px 0 #0000001a, 0 1px 2px 0 #0000000f !important;
}

.darkHeader {
    background: #3c5973;
    margin-bottom: 30px;
}

.darkHeaderText {
    color: white !important;
}

.testaOrdine {
}

.label {
    margin-right: 5px;
    font-weight: 700 !important;
}

.valore {
    color: black;
    font-size: 21px;
    font-weight: 700 !important;
}

.totaleVal {
    font-weight: 900;
    font-size: 28px;
}

.totaleLabel {
    font-size: 25px;
}

.notes {
    height: 141px;
    border: 1px solid lightgray;
    /* border-radius: 6px; */
    padding: 10px;
    margin-left: 17px;
    margin-right: 17px;
    width: 95%;
}
/*.matchHeight {
    height: calc(100vw - 100px);
}*/
.noscroll {
    overflow: hidden !important;
}

.primaryBadge {
    background-color: #ff5722 !important;
}

.rigaOrdQuant {
    font-size: 21px;
    font-weight: 700;
    color: #929292;
}

.rigaOrdPrezzo {
    font-size: 23px;
    font-weight: 700;
    color: black;
    margin-left: 12px;
}

#overlay {
    position: fixed; /* Sit on top of the page content */
    display: none; /* Hidden by default */
    width: 100%; /* Full width (cover the whole page) */
    height: 100%; /* Full height (cover the whole page) */
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #232323; /* Black background with opacity */
    z-index: 2; /* Specify a stack order in case you're using a different order for other elements */
    cursor: pointer; /* Add a pointer on hover */
}

.overlayText {
    position: absolute;
    top: 50%;
    left: 50%;
    font-size: 22px;
    color: white;
    user-select: none;
    transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
}

.divider {
    background: #3c5973;
    color: white;
    text-align: center;
    height: 43px;
    padding-top: 12px;
    font-weight: bold;
    font-size: 19px !important;
}

.divider1 {
    height: 43 px;
    padding-top: 22 px;
    font-weight: bold;
    font-size: 19px !important;
    padding-left: 21 px;
    margin: 0;
}

.orderItemQuantity {
    font-weight: 900;
    font-size: 25px;
}
/*################### ANIMATIONS################################################*/
.scale-in-center {
    -webkit-animation: scale-in-center 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
    animation: scale-in-center 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}
/* ----------------------------------------------
 * Generated by Animista on 2021-8-13 14:46:44
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation scale-in-center
 * ----------------------------------------
 */
@-webkit-keyframes scale-in-center {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0);
        opacity: 1;
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1;
    }
}

@keyframes scale-in-center {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0);
        opacity: 1;
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1;
    }
}

.scale-out-center {
    -webkit-animation: scale-out-center 0.5s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
    animation: scale-out-center 0.5s cubic-bezier(0.550, 0.085, 0.680, 0.530) both;
}
/* ----------------------------------------------
 * Generated by Animista on 2021-8-13 14:47:18
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation scale-out-center
 * ----------------------------------------
 */
@-webkit-keyframes scale-out-center {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1;
    }

    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
        opacity: 1;
    }
}

@keyframes scale-out-center {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1;
    }

    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
        opacity: 1;
    }
}

/*################### ANIMATIONS################################################*/

.transparentItem {
    --background: transparent !important;
    color: white !important;
}

div[scrollx=true], div[scrolly=true] {
    position: relative;
    overflow: hidden;
}

div[scrollx=true] {
    overflow-x: auto;
}

div[scrolly=true] {
    overflow-y: auto !important;
}

.fullWin {
    height: calc(100vh - 200px) !important;
}

.fullWinDetail {
    height: calc(100vh - 115px) !important;
}

.headerText {
    font-size: 18px;
    color: white;
}

.cardHeader {
    background: #3c5973;
    margin-bottom: 30px;
    height: 50px;
    padding-top: 14px;
    margin-bottom: 0px;
}

.articleInProgress-Txt1 {
    font-weight: bold;
    font-size: 22px;
}

.articleInProgress-txt2 {
    font-size: 21px;
    margin-top: 10px;
    font-weight: bold;
    color: #878787;
}

.addOrderItemBtn {
    height: 47px !important;
    width: 47px !important;
    border-radius: 23px !important;
}

.priceLabel {
    font-size: 29px !important;
    font-weight: 600 !important;
}

.priceLabelSecondary {
    font-size: 20px !important;
    font-weight: 600 !important;
}

.leftBorder {
    border-left: 5px solid #bad3ff;
}

.labelEvidence {
    border-left: 5px solid red;
    border-right: 5px solid red;
    margin-right: 0;
}

.labelEvidenceAddingL {
    border-left: 5px solid #bad3ff;
}

.labelEvidenceAddingR {
    border-right: 5px solid #bad3ff;
}

.myToolbar {
    --background: black !important;
    color: white !important;
}

.userDetailIcon {
    color: #ffffff;
    background: #9cd1ff;
    border-radius: 20px;
    font-size: 27px;
    padding: 8px;
    margin-left: 10px;
}

.rigaOrdIva {
    font-size: 16px;
    text-align: end;
}

.status-alert {
    background: red;
    height: 10px;
    width: 10px;
    display: inline-block;
    margin-right: 5px;
}
.status-warning {
    background: yellow;
    height: 10px;
    width: 10px;
    display: inline-block;
    margin-right: 5px;
}
.status-success {
    background: green;
    height: 10px;
    width: 10px;
    display: inline-block;
    margin-right: 5px;
}

.categoryIcon {
    height: 10px;
    width: 10px;
    display: inline-block;
    margin-right: 5px;
}

.rz-calendar .rz-inputtext {
    border: 0 !important;
}

.dateInput {
    margin-right: 2px !important;
    margin-left: auto !important;
    outline: 0 !important;
}

.alert-wrapper {
    max-width: unset !important;
    width: 80% !important;
}

.validation-errors {
    display: inline-flex;
    padding-left: 16px;
    padding-right: 16px;
    margin-top: 33px;
    width: 100%;
    background: lightgray;
    min-height: 60px;
    padding: 16px;
}

    .validation-errors li {
        padding-right: 17px;
        list-style-type: none;
        color: white;
        background: red;
        text-align: center;
        padding-left: 13px;
        font-weight: 500;
        margin-right: 10px;
    }

.validation-message {
    color: red;
    text-align: center;
}

.nav-link {
    color: black !important;
    font-weight: bold;
}

.navbar-dark {
    background-color: black !important;
}
.authInProgress {
    font-size: 22px;
    font-weight: bold;
    color: #ff8d00;
    height:100%;
}